%define	name	osptoolkit
%define version 3.3.1
%define release 4mdk

%define	major	0
%define libname	%mklibname osp %{major}

Summary:	The OSP Toolkit(tm)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries
URL:		http://www.transnexus.com/
Source0:	OSPToolkit-%{version}.tar.bz2
Patch0:		TK-3_3_1-20041213_B-asterisk.diff.bz2
Patch1:		TK-3_3_1-20041213_B-shared.diff.bz2
BuildConflicts:	%{mklibname OpenSP 3}-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The OSP Toolkit is a complete development kit for software
developers who want to implement the client side of the European
Telecommunication Standards Institute's (ETSI) Open Settlement
Protocol.  The OSP Toolkit includes source code written in ANSI C,
test tools and extensive documentation on how to implement OSP. 
A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.   

%package -n	%{libname}
Summary:	The OSP Toolkit(tm) shared library
Group:          System/Libraries

%description -n	%{libname}
The OSP Toolkit is a complete development kit for software
developers who want to implement the client side of the European
Telecommunication Standards Institute's (ETSI) Open Settlement
Protocol.  The OSP Toolkit includes source code written in ANSI C,
test tools and extensive documentation on how to implement OSP. 
A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.   

%package -n	%{libname}-devel
Summary:	Static library and header files for the libosp library
Group:		Development/C
Obsoletes:	libosp-devel osp-devel
Provides:	libosp-devel osp-devel
Conflicts:	%{mklibname OpenSP 3}-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
The OSP Toolkit is a complete development kit for software
developers who want to implement the client side of the European
Telecommunication Standards Institute's (ETSI) Open Settlement
Protocol.  The OSP Toolkit includes source code written in ANSI C,
test tools and extensive documentation on how to implement OSP. 
A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.   

This package contains the static libosp library and its header
files.

%package -n	osp-tools
Summary:	Various utilities for the libosp library
Group:		System/Servers

%description -n	osp-tools
The OSP Toolkit is a complete development kit for software
developers who want to implement the client side of the European
Telecommunication Standards Institute's (ETSI) Open Settlement
Protocol.  The OSP Toolkit includes source code written in ANSI C,
test tools and extensive documentation on how to implement OSP. 
A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.   

This package contains various utilities utilizing the libosp
library.

%prep

%setup -q -n TK-3_3_1-20041213_B
%patch0 -p0
%patch1 -p1

# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"

%build

%make RPM_OPT_FLAGS="%{optflags}" -C src
%make RPM_OPT_FLAGS="%{optflags}" -C enroll
%make RPM_OPT_FLAGS="%{optflags}" -C test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}/osp

install -m0755 src/libosp.so.%{major} %{buildroot}%{_libdir}/
ln -s libosp.so.%{major} %{buildroot}%{_libdir}/libosp.so

install -m0644 src/libosp.a %{buildroot}%{_libdir}/
install -m0644 include/osp/*.h %{buildroot}%{_includedir}/osp/

install -m0755 test/test_app %{buildroot}%{_bindir}/osp-test_app
install -m0755 enroll/enroll %{buildroot}%{_bindir}/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE.txt README.txt RELNOTES.txt
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc LICENSE.txt README.txt RELNOTES.txt
%doc test/nonblocking.[ch]
%{_includedir}/osp
%{_libdir}/*.so
%{_libdir}/*.a

%files -n osp-tools
%defattr(-,root,root)
%doc LICENSE.txt README.txt RELNOTES.txt
%doc bin/enroll.sh bin/test.cfg bin/openssl.cnf bin/.rnd
%{_bindir}/osp-test_app
%{_bindir}/enroll

%changelog
* Fri Sep 02 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-4mdk
- rebuild
- use sane deps names

* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-3mdk
- rebuilt with gcc4

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-2mdk
- fix deps

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.3.1-1mdk
- initial Mandrakelinux package
